SolrIllegalArgumentException::getInternalInfo
SolrIllegalOperationException::getInternalInfo
Solr
PHP Manual

# The SolrIllegalOperationException class

## Introduction

This object is thrown when an illegal or unsupported operation is performed on an object.

## Class synopsis

SolrIllegalOperationException
SolrIllegalOperationException extends SolrException {
/* Properties */
/* Methods */
public array getInternalInfo ( void )
/* Inherited methods */
public array SolrException::getInternalInfo ( void )
}

## Properties

message

  The error message

code

  The error code

file

  The userspace php source file where exception was generated

line

  The line in userspace php source file where exception was generated

sourceline

  The line in c-space source file where exception was generated

sourcefile

  The c-space source file where exception was generated

zif_name

  The c-space function where exception was generated

## Table of Contents

- SolrIllegalOperationException::getInternalInfo — Returns internal information where the Exception was thrown

SolrIllegalArgumentException::getInternalInfo
SolrIllegalOperationException::getInternalInfo
Solr
PHP Manual